Bug 218539 - [exp-run] update py-sip, py-qt4 and py-qt5
Summary: [exp-run] update py-sip, py-qt4 and py-qt5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9771
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-10 14:56 UTC by Tobias C. Berner
Modified: 2017-04-30 13:33 UTC (History)
2 users (show)

See Also:


Attachments
Update py-sip and py-qt[45] (135.08 KB, patch)
2017-04-10 14:56 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-04-10 14:56:21 UTC
Created attachment 181652 [details]
Update py-sip and py-qt[45]

kde@ would like to ask for an exp-run to update py-sip to 4.19.2, py-qt4 to 4.12 and py-qt5 to 5.7.1.

The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/pyqt-update.v1.diff
Comment 1 Antoine Brodin freebsd_committer 2017-04-20 15:28:36 UTC
Exp-run looks fine on 10.3 and 11.0
Comment 2 commit-hook freebsd_committer 2017-04-30 10:07:49 UTC
A commit references this bug:

Author: tcberner
Date: Sun Apr 30 10:07:25 UTC 2017
New revision: 439794
URL: https://svnweb.freebsd.org/changeset/ports/439794

Log:
  Update py-sip to 4.19.2, py-qt4 to 4.12 and py-qt5 to 5.7.1

  * This is mostly based on the work by Adriaan de Groot <groot@kde.org> in our development repo.

  PR:		217305
  PR:		218539
  Submitted by:	Adriaan de Groot <groot@kde.org>
  Reviewed by:	rakuco, mat
  Approved by:	rakuco (mentor)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D9771

Changes:
  head/Mk/Uses/pyqt.mk
  head/devel/py-qt4/distinfo
  head/devel/py-qt5/distinfo
  head/devel/py-qt5-core/files/patch-configure.py
  head/devel/py-qt5-core/pkg-plist
  head/devel/py-sip/Makefile
  head/devel/py-sip/distinfo
  head/devel/py-sip/files/patch-hg_6b09a6d578e8
  head/devel/qscintilla2/pkg-plist
  head/graphics/qgis/files/patch-gentoogit_d9559d0_qgis-2.18.3-sip-4.19.1
  head/math/qtiplot/files/patch-gentoogit_68af1bc_qtiplot-0.9.8.9-sip-4.19
  head/misc/py-qt4-doc/pkg-plist
  head/misc/py-qt5-demo/Makefile
  head/misc/py-qt5-doc/pkg-plist
  head/textproc/py-qt5-xml/pkg-plist
Comment 3 Tobias C. Berner freebsd_committer 2017-04-30 13:33:42 UTC
Thanks for the exp-run.